summaryrefslogtreecommitdiffstats
path: root/office/rednotebook/rednotebook.SlackBuild
diff options
context:
space:
mode:
author Pablo Santamaria <pablosantamaria@gmail.com>2010-05-13 01:00:37 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 01:00:37 +0200
commit1c401554acaa14bdaaed343a9c679160a15b4cfe (patch)
tree44eb00878a91a15bd25d93523c0e9ba609c18320 /office/rednotebook/rednotebook.SlackBuild
parentab3ac48856cccd054d73cc4929a0a0b370add618 (diff)
downloadslackbuilds-1c401554acaa14bdaaed343a9c679160a15b4cfe.tar.gz
slackbuilds-1c401554acaa14bdaaed343a9c679160a15b4cfe.tar.xz
office/rednotebook: Added to 13.0 repository
Diffstat (limited to 'office/rednotebook/rednotebook.SlackBuild')
-rw-r--r--office/rednotebook/rednotebook.SlackBuild57
1 files changed, 57 insertions, 0 deletions
diff --git a/office/rednotebook/rednotebook.SlackBuild b/office/rednotebook/rednotebook.SlackBuild
new file mode 100644
index 0000000000..69972ad824
--- /dev/null
+++ b/office/rednotebook/rednotebook.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for rednotebook
+
+# Written by Pablo Santamaria (pablosantamaria@gmail.com)
+
+
+PRGNAM=rednotebook
+VERSION=${VERSION:-0.8.9}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python setup.py build
+python setup.py install --prefix=$PKG/usr
+
+mkdir -p $PKG/usr/share/applications
+install -m 644 rednotebook.desktop $PKG/usr/share/applications
+mkdir -p $PKG/usr/share/pixmaps
+install -m 644 rednotebook.png $PKG/usr/share/pixmaps
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS CHANGELOG LICENSE README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}